#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 one-liner
version:              2.1
visibility:           public
id:                   one-liner-2.1-6bmhDDnLDFp93Zd0lR6r6H
key:                  one-liner-2.1-6bmhDDnLDFp93Zd0lR6r6H
license:              BSD-3-Clause
maintainer:           sjoerd@w3future.com
author:               Sjoerd Visscher, Xia Li-yao
homepage:             https://github.com/sjoerdvisscher/one-liner
synopsis:             Constraint-based generics
description:
    Write short and concise generic instances of type classes.
    one-liner is particularly useful for writing default
    implementations of type class methods.

category:             Generics
abi:                  6812e119d8f01a45317cfa0c83f85cb5
exposed:              True
exposed-modules:
    Generics.OneLiner Generics.OneLiner.Binary
    Generics.OneLiner.Classes Generics.OneLiner.Internal
    Generics.OneLiner.Internal.Unary

import-dirs:          /usr/lib/ghc-9.2.8/site-local/one-liner-2.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/one-liner-2.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-one-liner
hs-libraries:         HSone-liner-2.1-6bmhDDnLDFp93Zd0lR6r6H
depends:
    base-4.16.4.0 bifunctors-5.6-9u2OEtR8S765Ed3st7LYyd
    contravariant-1.5.5-6oWUjmJNxDBFhugVD5s9dq ghc-prim-0.8.0
    linear-base-0.3.0-B8lpQSrbnc10wR4KZp6Xe
    profunctors-5.6.2-DgTTeNKKoybAnSeh8xec2W
    tagged-0.8.8-404YCiJ2agdDxJGZ4AybXg transformers-0.5.6.2

haddock-interfaces:   /usr/share/doc/haskell-one-liner/html/one-liner.haddock
haddock-html:         /usr/share/doc/haskell-one-liner/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

